<?php
function SoapToXml($xml)
{
    //api测试先关闭
    $startStr=strrpos($xml,"<![CDATA[");
    $endStr=strpos($xml,"]]>");
    $xml=substr($xml,$startStr,$endStr-$startStr);
    $xml = str_replace("<![CDATA[>","",$xml);
    $xml = str_replace("<![CDATA[","",$xml);
    $xml = str_replace("]]]]>","",$xml);
    $xml = str_replace("]]>","",$xml);
    $xml = str_replace("<ILLEGAL VALUE>","",$xml);
    return $xml;
}
//==============获得前台请求==============
$callback = isset($_GET['callback']) ? trim($_GET['callback']) : '';
$req['HospitalId'] = $_GET['hospitalId'];
$req['startDate'] = $_GET['startDate'];
$req['endDate'] = $_GET['endDate'];
$req['deptId'] = $_GET['deptId'];
if(isset($_GET['doctorId'])) {
    $req['doctorId'] = $_GET['doctorId'];
}

//$req = simplexml_load_string($req); //提取POST数据为simplexml对象

$TradeCode = "1004";
$ExtOrgCode = "南方医务通";
$ExtUserID = "NFYWT";
$ClientType ="";
$HospitalId =$req['HospitalId'];
$DeptType = "";
$DoctorCode = "";
$SessType = "";
$StartDate = $req['startDate'];
$EndDate = $req['endDate'];
$RBASSessionCode = "";
$ServiceCode = "";
$StopScheduleFlag = "";
$DepartmentCode = $req['deptId'];
$DoctorCode= empty($req['doctorId'])?'':$req['doctorId'];
$SearchCode = "";
ini_set('user_agent', 'Mozilla/5.0');
$postData = "<Request><HospitalId>$HospitalId</HospitalId><ExtOrgCode>$ExtOrgCode</ExtOrgCode><ExtUserID>$ExtUserID</ExtUserID><ClientType>$ClientType</ClientType><TradeCode>$TradeCode</TradeCode><DeptType>$DeptType</DeptType><DoctorCode>$DoctorCode</DoctorCode><SessType>$SessType</SessType><StartDate>$StartDate</StartDate><EndDate>$EndDate</EndDate><RBASSessionCode>$RBASSessionCode</RBASSessionCode><ServiceCode>$ServiceCode</ServiceCode><DoctorCode>$DoctorCode</DoctorCode><StopScheduleFlag>$StopScheduleFlag</StopScheduleFlag><DepartmentCode>$DepartmentCode</DepartmentCode><SearchCode>$SearchCode</SearchCode></Request>";
$postData = str_replace(' ','%20',$postData);
$wsdl = "http://yygh1.dept.nfyy.com/csp/oep/DHC.OEP.BS.OEPSTANWebService.cls?soap_method=QuerySchedule&Input=";
$result = file_get_contents($wsdl.$postData);

$res = SoapToXml($result);

$res = simplexml_load_string($res);
echo $callback.'('.json_encode($res).')';exit;
